OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ES32Compatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBES32Compatibility :: MonadIO m => m Bool
- gl_ARB_ES3_2_compatibility :: Bool
- gl_MULTISAMPLE_LINE_WIDTH_GRANULARITY_ARB :: GLenum
- gl_MULTISAMPLE_LINE_WIDTH_RANGE_ARB :: GLenum
- gl_PRIMITIVE_BOUNDING_BOX_ARB :: GLenum
- glPrimitiveBoundingBoxARB :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetARBES32Compatibility :: MonadIO m => m Bool

Is the ARB_ES3_2_compatibility extension supported?

gl_ARB_ES3_2_compatibility :: Bool

Is the ARB_ES3_2_compatibility extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBES32Compatibility` in those cases instead.

# Enums

gl_MULTISAMPLE_LINE_WIDTH_GRANULARITY_ARB :: GLenum

gl_MULTISAMPLE_LINE_WIDTH_RANGE_ARB :: GLenum

gl_PRIMITIVE_BOUNDING_BOX_ARB :: GLenum

# Functions

glPrimitiveBoundingBoxARB

Arguments

:: MonadIO m |
=> GLfloat | `minX`.
-> GLfloat | `minY`.
-> GLfloat | `minZ`.
-> GLfloat | `minW`.
-> GLfloat | `maxX`.
-> GLfloat | `maxY`.
-> GLfloat | `maxZ`.
-> GLfloat | `maxW`.
-> m () |

This command is an alias for `glPrimitiveBoundingBox`.